/*
 * PmodMAXSONAR.h
 *
 *  Created on: Nov 29, 2017
 *      Author: Krzysztof Chojnowski
 */

#ifndef PMODMAXSONAR_H_
#define PMODMAXSONAR_H_

#include <stdbool.h>
#include "stm32l4xx_hal.h"

/**
 * @brief Configure Pmod connector pins. This configuration uses two transmission (RX, TX) and PWM pins.
 *        The AN pin is not used and shall be used unconnected.
 *        PA2  -> RX
 *        PA3  -> TX
 *        PF11 -> PWM
 */
void PmodMAXSONAR_Config(void);

/**
 * @brief Enables clocks required by USART2 and GPIO. initializes USART2 GPIO pins in alternate mode
 *        and enables USART interrupt. This function is required by HAL library and needs to be
 *        exported because two USART ports are used in this example.
 */
void PmodMAXSONAR_HAL_UART_MspInit(UART_HandleTypeDef *huart);

/**
 * @brief Enables a non-blocking read operation from the USART2 port. If the interrupt handling routine
 *        is defined, it will be called after given number of bytes is received. In this example
 *        the USART2 interrupt routines are defined in the main.c file.
 */
void PmodMAXSONAR_Read(uint8_t* data, int len);

#endif /* PMODMAXSONAR_H_ */
