/*
 * led.c
 *
 *  Created on: Nov 4, 2017
 *      Author: Krzysztof Chojnowski
 */

#include "stm32l4xx_hal.h"

#include "led.h"

void Led_Config(void)
{
  LED0_RCC_ENABLE();

  GPIO_InitTypeDef GPIO_InitStruct;
  GPIO_InitStruct.Mode = GPIO_MODE_OUTPUT_PP;
  GPIO_InitStruct.Pull = GPIO_PULLDOWN;
  GPIO_InitStruct.Speed = GPIO_SPEED_FREQ_VERY_HIGH;
  GPIO_InitStruct.Pin = LED0_PIN;

  HAL_GPIO_Init(LED0_PORT, &GPIO_InitStruct);
  HAL_GPIO_WritePin(LED0_PORT, LED0_PIN, RESET);
}

void Led_TurnOn(LED led)
{
  switch(led) {
  case LED0:
    HAL_GPIO_WritePin(LED0_PORT, LED0_PIN, SET);
    break;
  }
}

void Led_TurnOff(LED led)
{
  switch(led) {
  case LED0:
    HAL_GPIO_WritePin(LED0_PORT, LED0_PIN, RESET);
    break;
  }
}
